#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

template<typename T1, typename T2>
istream &operator>>(istream &in, pair<T1, T2> &p) {
    return in >> p.first >> p.second;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item : v)
        in >> item;
    return in;
}

struct point {
    int x, y, no;

    bool operator<(point const &other) const {
        if (x != other.x) return x < other.x;
        if (y != other.y) return y < other.y;
        return no < other.no;
    }
};

istream &operator>>(istream &in, point &p) {
    static int no = 0;
    p.no = no++;
    return in >> p.x >> p.y;
}

typedef pair<ll, ll> res;

auto const LIM = 1'000'000'000ll;
auto const INF = res{-3ll * LIM, -1};

#define all(c) c.begin(), c.end()

int main() {

    in(int, n)
    vector<point> pts(n);
    cin >> pts;

    vector<res> result(n, res(3 * LIM, -1));
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            if (i == j) continue;
            result[i] = min(result[i], res{abs(pts[i].x - pts[j].x) + abs(pts[i].y - pts[j].y), j});
        }
    }

    for (int i = 0; i < n; i++) {
        cout << result[i].second + 1 << ' ';
    }
    cout << '\n';

}