#include <bits/stdc++.h>

using namespace std;
#define all(v) v.begin(), v.end()
#define rall(v) v.rbegin(), v.rend()
#define int long long
const int MAXN = 1e5 + 500;

int cnt[MAXN];//cnt[x] - количество множителей в разложении на простые
int pref[20][MAXN];//префсуммы...)
int lp[MAXN];//lp[x] - минимальный простой делитель числа x

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    vector<int> pr;
    for (int i = 2; i < MAXN; ++i) {
        if (lp[i] == 0) {
            lp[i] = i;
            pr.emplace_back(i);
        }
        for (int j = 0; j < (int) pr.size() && pr[j] <= lp[i] && i * pr[j] < MAXN; ++j) {
            lp[i * pr[j]] = pr[j];
        }
    }
    for (int i = 2; i < MAXN; ++i) {
        int cur = i;
        while (cur != 1) {
            cur /= lp[cur];
            cnt[i]++;
        }

    }
    for (int k = 0; k <= 16; ++k) {
        for (int i = 2; i < MAXN; ++i) {
            pref[k][i] = pref[k][i - 1] + signed(cnt[i] == k);
        }
    }
    int q;
    cin >> q;
    while (q--) {
        int l, r, k;
        cin >> l >> r >> k;
        cout << pref[k][r] - pref[k][l - 1] << "\n";
    }
    return 0;
}